#### Look down and find 'TODO:' lines if you want to add more files to project

!IF "$(CFG)" == ""
CFG=driver_template - x64 Debug
!MESSAGE No configuration specified. Defaulting to driver_template - x64 Debug.
!ENDIF 

!IF "$(CFG)" != "driver_template - Win32 Release" && "$(CFG)" != "driver_template - Win32 Debug" && "$(CFG)" != "driver_template - x64 Release" && "$(CFG)" != "driver_template - x64 Debug"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE
!MESSAGE by defining the macro CFG on the command line. For example:
!MESSAGE 
!MESSAGE NMAKE /f "cdrw.mak" CFG="driver_template - Debug"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "driver_template - Win32 Release"
!MESSAGE "driver_template - Win32 Debug"
!MESSAGE "driver_template - x64 Release"
!MESSAGE "driver_template - x64 Debug"
!MESSAGE 
!ERROR An invalid configuration is specified.
!ENDIF 

!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

xCFG=$(CFG)
DriverName=driver_template


!IF "$(CFG)" == "driver_template - x64 Release" || "$(CFG)" == "driver_template - x64 Debug" 
BaseDir=$(BASEDIR2K3)
DDKINC=/I $(BaseDir)\inc\ddk\wnet\ /I $(BaseDir)\inc\crt /I $(BaseDir)\inc\wnet\ 
DDKBIN=$(BaseDir)\bin\win64\x86\amd64\ 
PLATFORM_FLAGS=/DWIN64 /D_WIN64 /D_M_AMD64 /D_AMD64_
DDKLIBDIR=$(BaseDir)\Lib\wnet\amd64
ADDLIBS=
LINK_PLATFORM_FLAGS=/subsystem:native /machine:AMD64
DIR_SUFFIX=-amd64
RSC_PROJ=/i $(BaseDir)\inc\wnet

!ELSE
BaseDir=$(BASEDIR)
DDKINC=/I $(BaseDir)\inc 
DDKBIN=
PLATFORM_FLAGS=/QI0f /DWIN32 /D_WIN32_WINNT=0x0400 /D_X86_
DDKLIBDIR=$(BaseDir)\Lib\i386\Free
ADDLIBS=int64.lib 
LINK_PLATFORM_FLAGS=/subsystem:native,4.00 /machine:I386 
DIR_SUFFIX=
RSC_PROJ=

!ENDIF 

DDKINC=$(DDKINC)  /I ..\Include

CPP=$(DDKBIN)cl.exe
MTL=$(DDKBIN)midl.exe
RSC=rc.exe
LINK32=$(DDKBIN)link.exe




!IF  "$(xCFG)" == "driver_template - Win32 Release" || "$(xCFG)" == "driver_template - x64 Release"

OUTDIR=.\Release$(DIR_SUFFIX)
INTDIR=.\Release$(DIR_SUFFIX)
OutDir=.\Release$(DIR_SUFFIX)

CPP_PROJ=/nologo /Gz /MT /W3 /O2 $(DDKINC) $(PLATFORM_FLAGS) /DNDEBUG  /D_WINDOWS /D_MBCS /D_USRDLL /DCDRW_EXPORTS /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
MTL_PROJ=/nologo /D "NDEBUG" /mktyplib203 /win32 
LINK32_FLAGS=/libpath:$(DDKLIBDIR) ntoskrnl.lib Hal.lib $(ADDLIBS) /nologo /entry:"DriverEntry" /incremental:no /pdb:"$(OUTDIR)\$(DriverName).pdb" /pdbtype:con /debug /debugtype:cv /nodefaultlib /out:"$(OUTDIR)\$(DriverName).sys" /driver $(LINK_PLATFORM_FLAGS)

!ELSE

OUTDIR=.\Debug$(DIR_SUFFIX)
INTDIR=.\Debug$(DIR_SUFFIX)
OutDir=.\Debug$(DIR_SUFFIX)

CPP_PROJ=/nologo /Gz /MTd /W3 /GX /Z7 /Od $(DDKINC) $(SpecDef) $(CDRW_FLAGS) $(PLATFORM_FLAGS) /D_DEBUG /DDBG /D_WINDOWS /D_MBCS /D_USRDLL /DCDRW_EXPORTS /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
MTL_PROJ=/nologo /D "_DEBUG" /mktyplib203 /win32 
LINK32_FLAGS=/libpath:$(DDKLIBDIR) ntoskrnl.lib Hal.lib $(ADDLIBS) /nologo /entry:"DriverEntry" /incremental:no /map:"$(INTDIR)\$(DriverName).map" /debug /pdb:"$(OUTDIR)\$(DriverName).pdb" /pdbtype:con /debugtype:cv /nodefaultlib /out:"$(OUTDIR)\$(DriverName).sys" /driver $(LINK_PLATFORM_FLAGS)

!ENDIF 


ALL : "$(OUTDIR)\$(DriverName).sys" ".\copy.msg"

# TODO: list your .OBJ'es here:

CLEAN :
    -@erase "$(INTDIR)\driver_template.obj"
    -@erase "$(INTDIR)\stdafx.obj"
    -@erase "$(INTDIR)\$(DriverName).pch"
    -@erase "$(INTDIR)\vc60.idb"
    -@erase "$(INTDIR)\driver_template.res"
    -@erase "$(OUTDIR)\$(DriverName).sys"
    -@erase "$(OUTDIR)\$(DriverName).map"
    -@erase "$(OUTDIR)\$(DriverName).pdb"
    -@erase ".\copy.msg"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

# TODO: list your .OBJ'es here too:

LINK32_OBJS= \
    "$(INTDIR)\driver_template.obj" \
    "$(INTDIR)\stdafx.obj" \
    "$(INTDIR)\driver_template.res" \


"$(OUTDIR)\$(DriverName).sys" : "$(OUTDIR)" $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

TargetPath=.\$(OUTDIR)\$(DriverName).sys
InputPath=.\$(OUTDIR)\$(DriverName).sys
SOURCE="$(InputPath)"



".\copy.msg" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
    <<tempfile.bat 
    @echo off 
<< 


!IF "$(NO_EXTERNAL_DEPS)" != "1"
!IF EXISTS("driver_template.dep")
!INCLUDE "driver_template.dep"
!ELSE 
!MESSAGE Warning: cannot find "driver_template.dep"
!ENDIF 
!ENDIF 


SOURCE=.\stdafx.cpp
CPP_SWITCHES=$(CPP_PROJ) /Fp"$(INTDIR)\$(DriverName).pch" /Yc"stdafx.h" /Fo"$(INTDIR)\\"

"$(INTDIR)\stdafx.obj"	"$(INTDIR)\$(DriverName).pch" : $(SOURCE) "$(INTDIR)"
	$(CPP) @<<
  $(CPP_SWITCHES) $(SOURCE)
<<

REL_PATH=.
SRC_EXT=cpp

SRC=driver_template
!INCLUDE build.mak

# TODO: uncomment lines below and set there proper names of your source files (without extension)

#SRC=source_file1
#!INCLUDE build.mak

#SRC=source_file2
#!INCLUDE build.mak

#....

#SRC=source_file1
#!INCLUDE build.mak

SOURCE=.\driver_template.rc

$(INTDIR)\driver_template.res : $(SOURCE) "$(INTDIR)"
    $(RSC) $(RSC_PROJ) $(SOURCE)
        -@erase "$(INTDIR)\driver_template.res"
        -@move driver_template.res "$(INTDIR)\driver_template.res"



